framework:
    messenger:
#        buses:
#            messenger.bus.default:
#                middleware:
#                    # service ids that implement Symfony\Component\Messenger\Middleware\MiddlewareInterface
#                    - 'App\Middleware\MyMiddleware'
        transports:
            amqp: enqueue://default
            doctrine: '%env(resolve:MESSENGER_DOCTRINE_TRANSPORT_DSN)%'

        routing:
            # Route your messages to the transports
            'App\Message\DomainIpCheckedMessage': amqp
            'App\Message\ProspectCreated': doctrine
#            'App\Message\ReportPublishedMessage': amqp
#            'App\Message\ReportGeneratedMessage': amqp
